import yoda
from math import sqrt

file_name = 'OUTPUT.yoda'

hists = yoda.read(file_name)

histName = '/ATLAS_2015_S1387176/d01-x01-y02'
asymName = '/ATLAS_2015_S1387176/d02-x01-y01'

hist = hists[histName]
asym = hists[asymName]

hist.path = histName[:-1] + '1'
hist.normalize()

f = open(file_name[:-5] + '_post.yoda', 'w')
for i in range(asym.numPoints):
  a = hist.bins[i].height - hist.bins[-(i+1)].height
  e = sqrt( hist.bins[i].heightErr ** 2 + hist.bins[-(i+1)].heightErr ** 2 )
  asym.points[i].y = a
  asym.points[i].yErrs = (e, e)
yoda.writeYODA(hist, f)
yoda.writeYODA(asym, f)
f.close()

